CVE-2020-8565

NameCVE-2020-8565
DescriptionIn Kubernetes, if the logging level is set to at least 9, authorization and bearer tokens will be written to log files. This can occur both in API server logs and client tool output like kubectl. This affects <= v1.19.3, <= v1.18.10, <= v1.17.13, < v1.20.0-alpha2.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow
Debian Bugs972649

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
kubernetes (PTS)bullseye1.20.2-1fixed
sid1.20.5-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
kubernetessource(unstable)1.20.0-1972649

Notes

https://github.com/kubernetes/kubernetes/pull/95316
https://groups.google.com/g/kubernetes-announce/c/ScdmyORnPDk
https://github.com/kubernetes/kubernetes/issues/95623

Search for package or bug name: Reporting problems